%global apiver  20121113
%global zendver 20121212
%global pdover  20080721

%define phplib %{_libdir}/php
%define extdir %{phplib}/extensions
%define peardir %{_datadir}/php/pear
%define phpvar  /var/lib/php

%define allow_exec_dir 1
%define _unpackaged_files_terminate_build 0

# don't build debug package
%define debug_package %{nil}
# don't binary strip
#define __spec_install_post %{nil}

%define build_fpm 1
%define php53_compatible 1

%{!?_with_no_goto:%define _vm_goto 1}
%{?_with_no_goto:%define _vm_goto 0}

Summary: The PHP HTML-embedded scripting language for use with Apache2.
Summary(ko): Apache2 PHP 엔진
Name: php
Version: 5.5.21
Release: 1%{?dist}
Epoch: 20
Group: Development/Languages
License: PHP
Source0: http://www.php.net/distributions/php-%{version}.tar.bz2
Source2: info.php
Source3: macros.php
Source4: php-dependency.txt

Source100: pecl-extension.tar.bz2
Source101: httpd.conf
Source102: annyung_func_alias_table.php

# patch start
# oops patch to 1 - 99
Patch1: php-ini.patch
Patch2: php-version.patch
Patch3: php-libtool2.patch
Patch4: php-5.4.16-fpm-logpath.patch

# extension patch
Patch20: php-mysql.patch
Patch21: php-mysql-charset.patch
Patch22: php-gd-charspace.patch
Patch23: php-libgd-freetype.patch
Patch24: php-annyung-exec-dir.patch
Patch26: php-dba.patch
Patch27: php-snmp-shutdown.patch
Patch29: php-phpize64.patch
Patch30: php-includedir.patch
Patch31: php-tmpdir.patch
Patch32: php-annyung-alias.patch
Patch33: php-annyung-zend-listed-table.patch
# Patch 34 and Patch 35 are dependent on patch 33
Patch34: php-annyung-include-file-check.patch
# Patch 35 is dependent on Patch 34
Patch35: php-annyung-image-attack.patch
# block '\0' to path after 5.3.4RC1. still need?
Patch36: php-annyung-urldecode-hex-null.patch
Patch37: php-annyung-realpath-cache-force.patch

# php 5.3 compatible
Patch51: php-annyung-5.3-compatible-option.patch
Patch52: php-annyung-5.3-compatible-functions.patch
Patch53: php-annyung-5.3-creative-default-object-nowarning.patch
Patch54: php-annyung-5.3-allow-call_time_pass_reference.patch
Patch55: php-annyung-5.3-magic_quotes.patch

# patch for rhel5
Patch100: php-4.3.1-odbc.patch
Patch101: php-fc-dlopen.patch
Patch103: php-5.3.18-gnusrc.patch
Patch104: php-5.3.18-systzdata-v7.patch
Patch105: php-5.3.18-embed.patch

# patch third party extension
Patch201: php-libevent-1.4.patch
Patch202: php-sqlite-php54.patch
Patch203: php-sqlite-config.patch

# private patch
# http://wiki.ohgaki.net/index.php?PHP%2Fpatch
Patch3000: php-allow_url_fopen-INI_ALL.patch

# offcial patch
Patch5001: php-5.5.21-official-b67068.patch
Patch5002: php-5.5.21-official-b68925.patch
Patch5003: php-5.5.21-official-b45081.patch
Patch5004: php-5.5.21-official-b55407.patch
Patch5005: php-5.5.21-official-b68711.patch
Patch5006: php-5.5.21-official-b68827.patch
Patch5007: php-5.5.21-official-b68571.patch
Patch5008: php-5.5.21-official-b66479.patch
Patch5009: php-5.5.21-official-b64938.patch
Patch5010: php-5.5.21-official-b68750.patch
Patch5011: php-5.5.21-official-b68901.patch
Patch5012: php-5.5.21-official-b68260.patch
Patch5013: php-5.5.21-official-b68657.patch
Patch5014: php-5.5.21-official-b68941.patch
Patch5015: php-5.5.21-official-5.5.22.patch

Patch9000: php-5.3.1-unofficial-bug-51056-fread.patch

# security
#Patch6000: php-5.5.10-CVE-2013-7345.patch


# patch end
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: webserver, php-common, libicu, bzip2-libs
Requires: openssl, zlib
BuildRequires: readline-devel, ncurses-devel, zlib-devel, file >= 4
BuildRequires: libpng-devel, libjpeg-devel, db4-devel, gdbm-devel
#BuildRequires: openssl-devel, zlib-devel, libxml2-devel, mysql-devel
BuildRequires: openssl-devel, zlib-devel, libxml2-devel bison
BuildRequires: curl-devel, freetds-devel, freetype-devel
BuildRequires: libmcrypt-devel, mhash-devel, libicu-devel
BuildRequires: libevent-devel >= 1.4, net-snmp-devel sqlite-devel
BuildRequires: httpd-devel, sendmail, openldap-devel bzip2-devel
Provides: phpapi
Obsoletes: php-intl php-pdo php-xmlrpc php-mbstring

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.

Building option:
	--with no_goto : if don't add vm kind option with goto..

%package cli
Group: Development/Languages
Summary: php command line interface
Summary(ko): php cli 인터페이스
Requires: php-common, readline, ncurses, zlib, openssl, libicu
Provides: phpapi
Obsoletes: php-intl php-pdo php-xmlrpc php-mbstring

%description cli
php binary file to use in shell

%package fpm
Group: Development/Languages
Summary: php5 fpm engine
Requires: php-fpm-conf, zlib, openssl, libicu, ncurses, libicu
Provides: phpapi
Obsoletes: php-intl php-pdo php-xmlrpc php-mbstring

%description fpm
php fastcgi(fpm) server api

%package devel
Group: Development/Libraries
Summary: php development file for making extensions
Summary: php 확장 개발을 위한 파일들

%description devel
php build file for making extensions

%package extension
Group: Development/Languages
Summary: php shared extension
Requires: phpapi
Requires: libjpeg, db4, gdbm, file, curl, openldap
#Requires: sqlite, mysql-shared, freetype, freetds, libpng, libmcrypt, mhash
Requires: sqlite, freetype, freetds, libpng, libmcrypt, mhash
Requires: libicu, libevent >= 1.4, net-snmp-libs
# block centos' php
Obsoletes: php-bcmath php-dba php-gd php-imap php-ldap php-odbc
Obsoletes: php-mysql php-pecl-apc php-pecl-memcache php-pgsql
Obsoletes: php-recode php-snmp php-soap php-tidy php-xml

%description extension
This package include php shared extension

%prep
%setup -q -n php-%{version} -a 100

pushd $RPM_BUILD_DIR/php-%{version} &> /dev/null
tar xvfpj %{SOURCE100}
popd &> /dev/null

# official patch
%patch5001 -p1
%patch5002 -p1
%patch5003 -p1
%patch5004 -p1
%patch5005 -p1
%patch5006 -p1
%patch5007 -p1
%patch5008 -p1
%patch5009 -p1
%patch5010 -p1
%patch5011 -p1
%patch5012 -p1
%patch5013 -p1
%patch5014 -p1
%patch5015 -p1

%patch9000 -p1

# sec
#patch6000 -p1

%patch1 -p1
%patch2 -p1
%patch3 -p1
%if %{build_fpm}
%patch4 -p1
%endif

%patch20 -p1
#patch21 -p1
%patch22 -p1
%patch23 -p1
%if %{allow_exec_dir}
%patch24 -p1
%endif
%patch26 -p1
#patch27 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
#patch36 -p1
%patch37 -p1

%if %{php53_compatible}
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%endif

# fedora patch
%patch100 -p1
%patch101 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1

# private update
%patch3000 -p1

#patch201 -p0
%patch202 -p0
%patch203 -p1



%if %{_vm_goto}
# memory allocated를 실패하면, swapfile을 생성해서 등록해서 진행할 것!
pushd Zend
	# php 5.3 support --with-zend-vm=GOTO. is applicated really?
	if [ -f "/usr/bin/php" ]; then
		%{__rm} -f zend_vm_execute.h
		php zend_vm_gen.php --with-vm-kind=GOTO
	fi
popd
%endif

%build

BuildPHP() {
	[ ! -d "%{phpvar}/tmp" ] && mkdir -p %{phpvar}/tmp && chmod 1777 %{phpvar}/tmp
	#OOPS_FLAGS="$RPM_OPT_FLAGS -Wall -fno-strict-aliasing -Wno-pointer-sign"
	RPMS_FLAGS="$RPM_OPT_FLAGS -Wall -fno-strict-aliasing"
	export CFLAGS="-fPIC ${RPMS_FLAGS}"
	export EXTENSION_DIR=%{extdir}
	export PEAR_INSTALLDIR=%{peardir}

	case "$1" in
		cli) scandir="cli"; shift ;;
		apache) scandir="apache"; shift ;;
		fpm) scandir="fpm"; shift ;;
	esac

#		--without-pic \
	%{configure} \
		--with-zend-vm=GOTO \
		--with-libdir=%{_lib} \
		--sysconfdir=%{_sysconfdir}/php.d \
		--with-config-file-path=%{_sysconfdir}/php.d \
		--with-config-file-scan-dir=%{_sysconfdir}/php.d/$scandir \
		--disable-debug \
		--disable-opcache \
		--disable-xmlreader \
		--disable-xmlwriter \
		--disable-json \
		--without-pear \
		--without-sqlite \
		--without-sqlite3 \
		--with-regex=php \
		--with-bz2 \
		--with-zlib \
		--with-zlib-dir=%{_prefix} \
		--enable-mod-charset \
		--enable-zend-signals \
		--enable-sigchild \
		--enable-sysvsem \
		--enable-sysvshm \
		--enable-sysvmsg \
		--enable-mysqlnd \
		--enable-intl \
		--enable-soap=shared \
		--enable-pdo \
		--without-pdo-sqlite \
		--without-pdo-mysql \
		--enable-sockets \
		--enable-mbstring=all \
		--enable-mbregex \
		--enable-mbregex-backtrack \
		--with-libmbfl \
		--with-iconv \
		--with-openssl \
		--with-xmlrpc \
		--with-system-tzdata \
		--with-mysql-sock=/var/run/mysqld/mysql.sock \
		$*

	%{__make} %{?_smp_mflags}
}

%{__rm} -f configure

# aclocal workaround - to be improved
cat `aclocal --print-ac-dir`/{libtool,ltoptions,ltsugar,ltversion,lt~obsolete}.m4 >>aclocal.m4

# pull latest ltmain.sh, AC_PROG_LIBTOOL
# Force use of system libtool:
libtoolize --force --copy
cat `aclocal --print-ac-dir`/{libtool,ltoptions,ltsugar,ltversion,lt~obsolete}.m4 >build/libtool.m4
# force aclocal run during buildconf
touch acinclude.m4

./buildconf --force

# binary compile
BuildPHP cli \
		--with-exec-dir="" \
		--enable-pcntl \
		--with-readline \
		--with-ncurses \
		--disable-cgi \
		--enable-static

mv sapi/cli/php sapi/cli/php-cli
mv sapi/cli/php.1 sapi/cli/php.1.cli
%{__mkdir_p} %{buildroot}%{_bindir}
mv ext/phar/phar.phar ext/phar/phar.phar.cli

# build fastcgi module
%{__make} clean

%if %{build_fpm}
BuildPHP fpm \
		--with-exec-dir=%{phpvar}/bin \
		--enable-fpm \
		--disable-cli \
		--enable-pcntl \
		--with-ncurses

mv sapi/fpm/php-fpm sapi/fpm/php-fpm-back
mv sapi/fpm/php-fpm.8 sapi/fpm/php-fpm.8.fpm

# build apache module
%{__make} clean
%endif

BuildPHP apache \
		--with-apxs2=/usr/sbin/apxs \
		--with-exec-dir=%{phpvar}/bin \
		--disable-cli \
		--disable-cgi \
		--with-curl=shared,%{_prefix} \
		--with-gd=shared \
		--enable-gd-native-ttf \
		--with-jpeg-dir=%{_prefix} \
		--with-png-dir=%{_prefix} \
		--with-freetype-dir=%{_prefix} \
		--enable-opcache \
		--enable-bcmath=shared \
		--enable-calendar=shared \
		--enable-memcache=shared \
		--enable-xmlreader=shared, --enable-xmlwriter=shared \
		--enable-ftp=shared \
		--enable-dba=shared \
		--enable-exif=shared \
		--with-gdbm \
		--with-dbm \
		--with-db4 \
		--enable-fileinfo=shared \
		--with-gettext=shared \
		--with-mcrypt=shared \
		--with-sqlite3=shared \
		--with-sqlite=shared --enable-sqlite-utf8 \
		--with-ldap=shared --with-ldap-sasl \
		--with-snmp=shared,%{_prefix} \
		--with-libevent=shared \
		--with-pdo-sqlite=shared,%{_prefix} \
		--with-pdo-mysql=shared,mysqlnd \
		--with-mysql=shared,mysqlnd \
		--with-mysqli=shared,mysqlnd \
		--with-mssql=shared \
		--enable-json=shared

cd modules
/bin/ls *.so | sed 's/^/;extension = /' > ../extensions.ini
cd -

%install
[ "%{buildroot}" != "/" -a -d "${buildroot}" ] && rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf
install -m644 %{SOURCE101} %{buildroot}%{_sysconfdir}/httpd/conf/httpd.conf

%{__make} install INSTALL_ROOT=%{buildroot} INSTALL_ID="echo "

rm -rf %{buildroot}%{extdir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{extdir}
mkdir -p %{buildroot}/home/httpd/html
mkdir -p %{buildroot}%{_mandir}/{man1,man8}
mkdir -p %{buildroot}%{_sysconfdir}/php.d/{cli,apache}

install -m 755 ext/phar/phar.phar.cli %{buildroot}%{_bindir}/phar.phar
cd %{buildroot}%{_bindir}
ln -sf phar.phar phar
cd -

install -m 755 sapi/cli/php-cli %{buildroot}%{_bindir}/php
install -m 644 sapi/cli/php.1.cli %{buildroot}%{_mandir}/man1/php.1
#(cd %{buildroot}%{_bindir}; ln -sf php php5)
install -m 755 -s modules/*.so %{buildroot}%{extdir}
install -m 644 php.ini-production %{buildroot}%{_sysconfdir}/php.d/php.ini
install -m 644 php.ini-production %{buildroot}%{_sysconfdir}/php.d/php-cli.ini
install -m 644 %{SOURCE2} %{buildroot}/home/httpd/html/php_info.php

install -m 644 extensions.ini %{buildroot}%{_sysconfdir}/php.d/apache/shared.ini
install -m 644 extensions.ini %{buildroot}%{_sysconfdir}/php.d/cli/shared.ini


%if %{build_fpm}
%{__mkdir_p} %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8
install -m 755 sapi/fpm/php-fpm-back %{buildroot}%{_sbindir}/php-fpm
install -m 644 sapi/fpm/php-fpm.8.fpm  %{buildroot}%{_mandir}/man8/php-fpm.8
%endif

%{__mkdir_p} %{buildroot}%{peardir}
install -m 644 %{SOURCE102} %{buildroot}/%{peardir}/alias_table.php

mv LICENSE LICENSE.php5

# session and update tmp dir
mkdir -p %{buildroot}%{phpvar}/{sessions,tmp,bin}

# dependency problem
pushd %{buildroot}%{phplib}/build
	chmod 644 *
	chmod 755 shtool
popd

# Generate files lists and stub .ini files for each subpackage
for mod in $(ls %{buildroot}%{extdir}/*.so)
do
	modname=$(basename $mod | sed 's/\.so//g')
	cat >> files.ext <<EOF
%attr(755,root,root) %{extdir}/${modname}.so
EOF
done

# Package pdo_sqlite with pdo; isolating the sqlite dependency
# isn't useful at this time since rpm itself requires sqlite.
#cat files.pdo_sqlite >> files.pdo

# Install the macros file:
install -d %{buildroot}%{_sysconfdir}/rpm
sed -e "s/@PHP_APIVER@/%{apiver}/;s/@PHP_ZENDVER@/%{zendver}/;s/@PHP_PDOVER@/%{pdover}/" \
    < $RPM_SOURCE_DIR/macros.php > macros.php
install -m 644 -c macros.php \
           %{buildroot}%{_sysconfdir}/rpm/macros.php

# Remove unpackaged files
rm -rf %{buildroot}%{_sysconfdir}/httpd/conf/httpd.conf \
       %{buildroot}%{_bindir}/{phptar} \
       %{buildroot}%{_datadir}/pear

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -f files.* macros.php

%files
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/httpd/modules/libphp5.so
#{peardir}/alias_table.php
%dir %{phplib}
%dir %{phplib}/extensions
%attr(755,nobody,nobody) %dir %{phpvar}/sessions
%attr(1777,root,root) %dir %{phpvar}/tmp
%attr(755,root,root) %dir %{phpvar}/bin

%files cli
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/php
%attr(755,root,root) %{_bindir}/phar.phar
%{_bindir}/phar
%{_mandir}/man1/php.1*
#{_bindir}/php5

%if %{build_fpm}
%files fpm
%attr(755,root,root) %{_sbindir}/php-fpm
%{_mandir}/man8/php-fpm.8*
%endif

%files devel
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/rpm/macros.php
%{_bindir}/php-config
%{_bindir}/phpize
%{_includedir}/php
%{_libdir}/php/build

%files extension -f files.ext

%changelog
* Mon Feb  2 2015 JoungKyun.Kim <http://oops.org> 20:5.5.21-1%{?dist}
- fixed 5.5.21 security issues
  . CVE-2014-3710 fileinfo: out-of-bounds read in elf note headers (#68283)
  . CVE-2014-8142 Use after free vulnerability in unserialize() (#68594)
  . CVE-2015-0232 Free called on unitialized pointer (#68799)
  . CVE-2014-9427 out of bounds read crashes php-cgi (#68618)
  . CVE-2015-0231 Use After Free Vulnerability in PHP's unserialize() (#68710)
  . CVE-2015-0235 Mitigation for glibc gethostbyname buffer overflow (#68925)


- fixed 5.5.21 offcial bugs
  . Fixed bug #67068 getClosure returns somethings that's not a closure

  . Fixed bug #45081 strtotime incorrectly interprets SGT time zone
  . Fixed bug #55407 Impossible to prototype DateTime::createFromFormat
  . Fixed bug #68711 useless comparisons
  . Fixed bug #68827 Double free with disabled ZMM
  . Fixed bug #66479 Wrong response to FCGI_GET_VALUES
  . Fixed bug #68571 core dump when webserver close the socket
  . Fixed bug #64938 libxml_disable_entity_loader setting is shared between threads
  . Fixed bug #55618 use case-insensitive cert name matching
  . Fixed bug #68750 PDOMysql with mysqlnd does not allow the usage of named pipes
  . Fixed bug #68901 use after free
  . Fixed bug #68260 SQLite3Result::fetchArray declares wrong required_num_args
  . Fixed bug #68114 linker error on some OS X machines with fixed width decimal support
  . Fixed bug #68657 Reading 4 byte floats with Mysqli and libmysqlclient has rounding errors
  . Fixed bug #68941 mod_files.sh is a bash-script
  . Fixed bug which caused call after final close on streams filter


* Fri Oct 24 2014 JoungKyun.Kim <http://oops.org> 20:5.5.18-1%{?dist}
- fixed 5.5.18 offcial bugs
  . #68118 $a->foo .= 'test'; can leave $a->foo undefined
  . #68129 parse_url() - incomplete support for empty usernames and passwords
  . #65171 imagescale() fails without height param
  . #68087 ODBC not correctly reading DATE column when preceded by a VARCHAR column
  . #68128 SPL: Regression in RecursiveRegexIterator
  . #68247 Add CURL_SSLVERSION_TLSv1_0, CURL_SSLVERSION_TLSv1_1,
           and CURL_SSLVERSION_TLSv1_2 constants if supported by libcurl

- security issues
  . CVE-2014-3669 Integer overflow in unserialize() (32-bits only)
  . CVE-2014-3670 Heap corruption in exif_thumbnail()
  . CVE-2014-3668 Global buffer overflow in mkgmtime() function


* Mon Sep 22 2014 JoungKyun.Kim <http://oops.org> 20:5.5.15-2%{?dist}
- fixed 5.5.15 offcial bug
  . #67716 Segfault in cdf.c in embeded libmagic
  . #67730 Null byte injection possible with imagexxx functions in embeded gd
  . #67878 program_prefix not honoured in man pages
  . #66036 Crash on SIGTERM in apache process
  . #47358 glob returns error, should be empty array()
  . #41577 DOTNET is successful once per server run
  . #67109 First uppercase letter breaks date string parsing
  . #66091 Memory leak in DateTime::createFromFormat()
  . #66985 Some timezones are no longer valid in PHP 5.5.10
  . #67606 FPM with mod_fastcgi/apache2.4 is broken
  . #67839 mysqli does not handle 4-byte floats correctly
  . #67850 extension won't build if openssl compiled without SSLv3
  . #67813 achingIterator::__construct InvalidArgumentException wrong message
  . #67724 chained zlib filters silently fail with large amounts of data
  . #67865 internal corruption phar error on zlib

- security issues
  . fixed CVE-2014-1571 #b67716
  . fixed CVE-2014-5120 #b67730

* Wed Aug  6 2014 JoungKyun.Kim <http://oops.org> 20:5.5.15-1%{?dist}
- Fixed 5.5.15 official bug
  . #67693 incorrect push to the empty array
  . #67724 chained zlib filters silently fail with large amounts of data
  . #60616 odbc_fetch_into returns junk data at end of multi-byte char fields
  . #55496 Interactive mode doesn't force a newline before the prompt
  . #67496 Save command history when exiting interactive shell with control-c
  . #67715 php-milter does not build and crashes randomly
  . #66901 php-gd 'c_color' NULL pointer dereference. CVE-2014-2497
  . #67635 php links to systemd libraries without using pkg-config
  . #67705 extensive backtracking in rule regular expression. CVE-2014-3538
  . Fix missing type checks in various functions (openssl/com/sessions)

- security issues
  . fixed CVE-2014-2497 #66901
  . fixed CVE-2014-3538 #67705
  . fixed CVE-2014-0185 #67060
  . fixed CVE-2014-0238 #67327
  . fixed CVE-2014-0237 #67328
  . fixed CVE-2014-4049 #67432
  . fixed CVE-2014-3981 #67390
  . fixed CVE-2014-4670 #67538

* Wed Apr 23 2014 JoungKyun.Kim <http://oops.org> 20:5.5.10-2%{?dist}
- security issues
  . fixed CVE-2013-7345 #66946

* Thu Mar 13 2014 JoungKyun.Kim <http://oops.org> 20:5.5.10-1%{?dist}
- update 5.5.10

- AnNyung patch
  . enhanced php 5.3 compatible mode
    . no print deprecated message about functions
    . no print static message about non static method
    . defualt charset to iso-8859-1 instead of utf-8
      about htmlspecialchars/htmlentities

- security isseus
  . fixed CVE-2014-2270 #66820
  . fixed CVE-2013-7327 #66815
  . fixed CVE-2014-1943 #66731

- Fixed offcial bug
  . Allow zero length comparison in substr_compare()
  . #60602 proc_open() changes environment array
  . #66109 Can't reset CURLOPT_CUSTOMREQUEST to default behaviour
  . #66714 imageconvolution breakage
  . #66869 Invalid 2nd argument crashes imageaffinematrixget
  . #66890 imagescale segfault
  . #66893 imagescale ignore method argument
  . #66887 imagescale - poor quality of scaled image
  . Fix hash_pbkdf2() with missing $length argument
  . #66535 Don't add newline after X-PHP-Originating-Script
  . #66762 Segfault in mysqli_stmt::bind_result() when link closed
  . Added function opcache_is_script_cached()
  . Added information about interned strings usage


* Wed Feb  5 2014 JoungKyun.Kim <http://oops.org> 20:5.5.8-1%{?dist}
- update 5.5.8
- AnNyung patch
  . See also http://annyung.oops.org/?m=white&p=php-guide
  . support allow_include_extension
  . support upload image file check
  . support realpath_cache_force
    prevent to use symlink, link function when realpath_cache_force is emabled
  . support php 5.3 compatible mode
    call time pass reference, magic quotes and so on.
- Fixed official bug
  . #66509 copy() arginfo has changed starting from 5.4
  . #66356 Heap Overflow Vulnerability in imagecrop()
  . #66474 Optimizer bug in constant string to boolean conversion
  . #66461 PHP crashes if opcache.interned_strings_buffer=0
  . #66298 ext/opcache/Optimizer/zend_optimizer.c has dos-style ^M as lineend
  . #66412 readline_clear_history() with libedit causes segfault after #65714
  . #66469 Session module is sending multiple set-cookie headers when
    session.use_strict_mode=1
  . #66481 Segfaults on session_name()
  . #66009 Failed compilation of PHP extension with C++ std library using VS 2012
  . #62479 PDO-psql cannot connect if password contains spaces
- add sqlite (sqlite2) extension

